<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="params"/>


  <xsl:template match="/">
  	<filter>
  		<xsl:choose>
  			<xsl:when test="$params and $params/hds/showInstalled">
  				<showInstalled>true</showInstalled>
  			</xsl:when>
  			<xsl:when test="not( $params )">
  				<showInstalled>true</showInstalled>
  			</xsl:when>
  			<xsl:otherwise>
  				<showInstalled>false</showInstalled>
  			</xsl:otherwise>
  		</xsl:choose>
  		<xsl:choose>
  			<xsl:when test="$params and $params/hds/showNotInstalled">
  				<showNotInstalled>true</showNotInstalled>
  			</xsl:when>
  			<xsl:when test="not( $params )">
  				<showNotInstalled>true</showNotInstalled>
  			</xsl:when>
  			<xsl:otherwise>
  				<showNotInstalled>false</showNotInstalled>
  			</xsl:otherwise>
  		</xsl:choose>
  		<xsl:choose>
  			<xsl:when test="$params and string-length($params/hds/match)&gt; 0">
  				<match><xsl:value-of select="$params/hds/match"/></match>
  			</xsl:when>
  			<xsl:otherwise>
  				<match>no-match</match>
  			</xsl:otherwise>
  		</xsl:choose>
  		<xsl:choose>
  			<xsl:when test="$params and string-length($params/hds/repo)&gt; 0">
  				<repo><xsl:value-of select="$params/hds/repo"/></repo>
  			</xsl:when>
  			<xsl:otherwise>
  				<repo>0</repo>
  			</xsl:otherwise>
  		</xsl:choose>
  		<xsl:choose>
  			<xsl:when test="$params and string-length($params/hds/set)&gt; 0">
  				<set><xsl:value-of select="$params/hds/set"/></set>
  			</xsl:when>
  			<xsl:otherwise>
  				<set>0</set>
  			</xsl:otherwise>
  		</xsl:choose>
  	</filter>
   </xsl:template>

</xsl:stylesheet> 
