package org.netkernel.packge.app.endpoint;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class PackageSearchIndexEndpoint extends StandardAccessorImpl
{
	public PackageSearchIndexEndpoint()
	{	this.declareThreadSafe();
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	
		HDSBuilder b=new HDSBuilder();
		//IHDSNode tree=context.source( "active:documentationTree", IHDSNode.class);
		INKFRequest req=context.createRequest("active:appositePackages");
		HDSBuilder filter=new HDSBuilder();
		filter.pushNode("filter");
		filter.addNode("match", "");
		filter.addNode("showInstalled", "true");
		filter.addNode("showNotInstalled", "true");
		filter.addNode("showUpdates", "true");
		filter.addNode("showSecurity", "true");
		filter.addNode("repo", "0");
		filter.addNode("set", "0");
		req.addArgumentByValue("filter", filter.getRoot());
		req.setRepresentationClass(IHDSNode.class);
		IHDSNode packages=(IHDSNode)context.issueRequest(req);
		IHDSNodeList nl=packages.getNodes("/resultset/row");
		for(int i=0; i<nl.size(); i++)
		{	IHDSNode pack=nl.get(i);
			b.pushNode("item");
				b.pushNode("field");
					b.addNode("name", "default");
					b.addNode("uri", "res:/tools/apposite/packagesource/"+pack.getFirstValue("ID").toString());
				b.popNode();
				b.pushNode("field");
					b.addNode("@index", "NO");
					b.addNode("@store", "YES");
					b.addNode("name", "resolverID");
					b.addNode("value", "searchPackageResolver");
				b.popNode();
				b.pushNode("field");
					b.addNode("@index", "ANALYZED");
					b.addNode("@store", "YES");
					b.addNode("name", "category");
					b.addNode("value", "apposite");
				b.popNode();
				b.pushNode("field");
					b.addNode("@index", "NO");
					b.addNode("@store", "YES");
					b.addNode("name", "documentID");
					b.addNode("value", pack.getFirstValue("ID").toString());
				b.popNode();
				String s=(String)pack.getFirstValue("NAME");
				if(s!=null && s.length()>0)
				{	b.pushNode("field");
						b.addNode("@index", "ANALYZED");
						b.addNode("@store", "YES");
						b.addNode("name", "title");
						b.addNode("value", s);
					b.popNode();
				}
				if(s!=null && s.length()>0)
				{	b.pushNode("field");
						b.addNode("@index", "NO");
						b.addNode("@store", "YES");
						b.addNode("name", "desc");
						b.addNode("value", "Apposite Package: "+s);
					b.popNode();
				}
				//s=(String)pack.getFirstValue("keywords");
				//if(s!=null && s.length()>0)
				{	b.pushNode("field");
						b.addNode("@index", "ANALYZED");
						b.addNode("@store", "NO");
						b.addNode("name", "keywords");
						b.addNode("value", "package");
					b.popNode();
				}
			b.popNode();
		}
		context.createResponseFrom(b.getRoot());
	}
	
	
}
